package nc.ui.gl.multibooks;

import java.awt.BorderLayout;
import java.awt.Insets;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;
import javax.swing.JFrame;
import nc.bs.logging.Logger;
import nc.ui.gl.cachefeed.BookCacheRequestFactory;
import nc.ui.gl.multibooks.ButtonKey;
import nc.ui.gl.multibooks.MultiUI;
import nc.ui.gl.remotecall.GlRemoteCallProxy;
import nc.ui.glpub.IParent;
import nc.ui.glpub.IUiPanel;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.ButtonObject;
import nc.ui.pub.ClientEnvironment;
import nc.ui.pub.ToftPanel;
import nc.vo.bd.b54.GlorgbookVO;
import nc.vo.gl.remotecall.context.GLRemoteCallContext;
import nc.vo.pub.BusinessException;

public class ToftPanelView extends ToftPanel implements IUiPanel, PropertyChangeListener {

   private MultiUI ivjMultiUI = null;
   protected ButtonObject[] m_Buttons = null;
   public IParent p_parent;
   public IUiPanel m_next;
   protected boolean isUILoaded = false;
   private String title = NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000353");


   public ToftPanelView() {
      this.initialize();
   }

   public void addListener(Object objListener, Object objUserdata) {
   }

   public String getTitle() {
      return this.title;
   }

   private MultiUI getMultiUI() {
      if(this.ivjMultiUI == null) {
         try {
            this.ivjMultiUI = new MultiUI();
            this.ivjMultiUI.setName("UI");
            this.ivjMultiUI.setLocation(2, 3);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjMultiUI;
   }

   private void handleException(Throwable exception) {
   }

   protected void initButtons() {
      this.m_Buttons = new ButtonObject[11];
      this.m_Buttons[0] = new ButtonObject(ButtonKey.bnQRY);
      this.m_Buttons[0].setTag(ButtonKey.bnQRY);
      this.m_Buttons[0].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000176"));
      this.m_Buttons[0].setCode("查询");
      this.m_Buttons[1] = new ButtonObject(ButtonKey.bnLC);
      this.m_Buttons[1].setTag(ButtonKey.bnLC);
      this.m_Buttons[1].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000305"));
      this.m_Buttons[1].setCode("联查凭证");
      this.m_Buttons[2] = new ButtonObject(ButtonKey.bnFormat);
      this.m_Buttons[2].setTag(ButtonKey.bnFormat);
      this.m_Buttons[2].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000335"));
      this.m_Buttons[2].setCode("格式");
      this.m_Buttons[2].setEnabled(false);
      this.m_Buttons[2].setVisible(false);
      this.m_Buttons[3] = new ButtonObject(ButtonKey.bnPrint);
      this.m_Buttons[3].setTag(ButtonKey.bnPrint);
      this.m_Buttons[3].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000181"));
      this.m_Buttons[3].setCode("打印");
      this.m_Buttons[4] = new ButtonObject(ButtonKey.bnSaveFormat);
      this.m_Buttons[4].setTag(ButtonKey.bnSaveFormat);
      this.m_Buttons[4].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000337"));
      this.m_Buttons[4].setCode("格式");
      this.m_Buttons[5] = new ButtonObject(ButtonKey.bnRefresh);
      this.m_Buttons[5].setTag(ButtonKey.bnRefresh);
      this.m_Buttons[5].setName(NCLangRes.getInstance().getStrByID("20021005", "UPP20021005-000477"));
      this.m_Buttons[5].setCode("刷新");
      this.m_Buttons[6] = new ButtonObject(ButtonKey.bnFirst);
      this.m_Buttons[6].setTag(ButtonKey.bnFirst);
      this.m_Buttons[6].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000563"));
      this.m_Buttons[6].setCode("首页");
      this.m_Buttons[7] = new ButtonObject(ButtonKey.bnPriv);
      this.m_Buttons[7].setTag(ButtonKey.bnPriv);
      this.m_Buttons[7].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000561"));
      this.m_Buttons[7].setCode("上一页");
      this.m_Buttons[8] = new ButtonObject(ButtonKey.bnNext);
      this.m_Buttons[8].setTag(ButtonKey.bnNext);
      this.m_Buttons[8].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000562"));
      this.m_Buttons[8].setCode("下一页");
      this.m_Buttons[9] = new ButtonObject(ButtonKey.bnEnd);
      this.m_Buttons[9].setTag(ButtonKey.bnEnd);
      this.m_Buttons[9].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000564"));
      this.m_Buttons[9].setCode("末页");
      this.m_Buttons[10] = new ButtonObject(ButtonKey.bnSwitch);
      this.m_Buttons[10].setTag(ButtonKey.bnSwitch);
      this.m_Buttons[10].setName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000183"));
      this.m_Buttons[10].setCode("转换");
      this.setButtons(this.m_Buttons);
   }

   private void initialize() {
      try {
         this.setName("ToftPanelView");
         this.setLayout(new BorderLayout());
         this.setSize(774, 419);
         this.add(this.getMultiUI(), "Center");
      } catch (Throwable var2) {
         this.handleException(var2);
      }

      this.initButtons();
      this.getMultiUI().addPropertyChangeListener(this);
      this.refreshButtons();
   }

   public Object invoke(Object objData, Object objUserData) {
      return null;
   }

   public static void main(String[] args) {
      try {
         JFrame exception = new JFrame();
         ToftPanelView aToftPanelView = new ToftPanelView();
         exception.setContentPane(aToftPanelView);
         exception.setSize(aToftPanelView.getSize());
         exception.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
               System.exit(0);
            }
         });
         exception.show();
         Insets insets = exception.getInsets();
         exception.setSize(exception.getWidth() + insets.left + insets.right, exception.getHeight() + insets.top + insets.bottom);
         exception.setVisible(true);
      } catch (Throwable var4) {
         System.err.println("nc.ui.pub.ToftPanel 的 main() 中发生异常");
         var4.printStackTrace(System.out);
      }

   }

   public void nextClosed() {
   }

   public void onButtonClicked(ButtonObject bo) {
      try {
         for(int e = 0; e < this.m_Buttons.length; ++e) {
            if(bo.equals(this.m_Buttons[e])) {
               this.getMultiUI().tackleBnsEvent(this.m_Buttons[e].getTag());
               break;
            }
         }
      } catch (Exception var3) {
         Logger.error(var3.getMessage(), var3);
         this.showErrorMessage(var3.getMessage());
      }

   }

   public void propertyChange(PropertyChangeEvent evt) {
      if(evt.getNewValue() != null) {
         this.title = evt.getNewValue().toString();
         this.setTitleText(this.title);
      }

   }

   public void removeListener(Object objListener, Object objUserdata) {
   }

   public void showMe(IParent parent) {
      parent.getUiManager().removeAll();
      parent.getUiManager().add(this, this.getName());
      if(parent instanceof ToftPanel) {
         ToftPanel e = (ToftPanel)parent;
         String orgbookname = ((GlorgbookVO)ClientEnvironment.getInstance().getValue("pk_glorgbook")).getGlorgbookname();
         e.updateStatusBarAccountMsg(orgbookname);
      }

      if(this.isUILoaded) {
         try {
            GLRemoteCallContext e1 = GlRemoteCallProxy.callProxy(BookCacheRequestFactory.newAccountingBookQueryContextVO("20023055"));
         } catch (BusinessException var4) {
            Logger.error("取后台缓存", var4);
         }
      }

      this.isUILoaded = true;
      this.p_parent = parent;
      this.getMultiUI().setIParent(this.p_parent);
      this.setFrame(parent.getFrame());
   }

   public void refreshButtons() {
      ButtonObject[] btns = this.getButtons();
      int i;
      if(this.getMultiUI().getModel().getData() != null && this.getMultiUI().getModel().getData().length != 0) {
         for(i = 0; i < btns.length; ++i) {
            btns[i].setEnabled(true);
         }
      } else {
         for(i = 0; i < btns.length; ++i) {
            if(btns[i].getTag().equals(ButtonKey.bnQRY)) {
               btns[i].setEnabled(true);
            } else {
               btns[i].setEnabled(false);
            }
         }
      }

      this.updateButtons();
   }
}
